unset multiplot
reset
set encoding utf8

#POSTAVKE GRAFA: DIMENZIJE SLIKE, VELICINA FONTA, IME SLIKE
set term pngcairo background "#ffffff" \
  font "Times-New-Roman,18pt" \
  size 40.0cm,25.0cm \
fontscale 1.0 dl 2.0
  set output 'HO.png'

#STILOVI LINIJA; POZIV: ls BROJ
set style line  1 lt 1 lw 1 lc rgb "dark-blue"
set style line  2 lt 1 lw 1 lc rgb "blue"
set style line  3 lt 1 lw 1 lc rgb "skyblue"
set style line  4 lt 1 lw 1 lc rgb "cyan"
set style line  5 lt 1 lw 1 lc rgb "dark-green"
set style line  6 lt 1 lw 1 lc rgb "web-green"
set style line  7 lt 1 lw 1 lc rgb "green"
set style line  8 lt 1 lw 1 lc rgb "yellow-green"
set style line  9 lt 1 lw 1 lc rgb "orange"
set style line 10 lt 1 lw 1 lc rgb "red"
set style line 11 lt 1 lw 1 lc rgb "dark-red"
set style line 12 lt 1 lw 1 lc rgb "magenta"
set style line 13 lt 1 lw 2 dt '-' lc rgb "gray"
set style line 14 lt 1 lw 2 dt '.' lc rgb "black"

set key top right opaque box #POSTAVLJA LEGENDU GORE DESNO
set samples 10000
set bmargin 0.
set lmargin 0.
set rmargin 0.
set tmargin 0.


set multiplot
  set origin 0.12,0.15 #POMICANJE POCETKA GRAFA KAKO BI STALI OPISI KOORDINATNIH OSI
  set size 0.86,0.83 #VELICINA PODRUCJA U KOJEM ISCRTAVA GRAF (UDIO U 1.0 X 1.0)
    set xrange [0:20] #RASPON x-VRIJEDNOSTI
    set yrange [-5.5:6] #RASPON y-VRIJEDNOSTI
    set xlabel "{/Times-New-Roman-Italic t} / s"
    set ylabel "{/Times-New-Roman-Italic y} / cm"
    set label "Linearni harmonijski oscilator" at graph 0.05, graph 0.95
    y(t) = 5.0*cos(pi*t+0.0)
    plot \
        'HO_dt6E-1.txt' u 1:2 w l ls 4  ti 'y(t) za Δ{/Times-New-Roman-Italic t}=0.625 s',\
        'HO_dt1E-1.txt' u 1:2 w l ls 6  ti 'y(t) za Δ{/Times-New-Roman-Italic t} = 10^{-1} s',\
        'HO_dt1E-3.txt' u 1:2 w l ls 10 ti 'y(t) za Δ{/Times-New-Roman-Italic t} = 10^{-3} s',\
        y(x)                  w l ls 14 ti 'y(t) analitički'

unset multiplot
unset output
reset
set terminal windows enhanced
