/* ZADATAK: 
   Koristeci Eulerovu metodu odredite polozaj cestice y(t) ciji je
   pocetni polozaj y(0) = 5 cm, a brzina v(t) = -A*w*sin(w*t+fi)
   za A=5cm, w=PI/s, fi=0. 
   Dakle, rjesavamo DJ dy/dt=v(t) uz pocetni uvjet y(0)=5.
   a) Usporedite numericko y(t) i analiticko x(t) rjesenje prvih 20 s.
   b) Procijenite gresku.
   c) Testirajte ovisnost rjesenja o Delta_t.
   d) Koliko je mali Delta_t potreban da bismo postigli tocnost od 1E-2.
*/
#include <stdio.h>   // standardne ulazno, izlazne funkcije
#include <stdlib.h>  // standardne C-funkcije
#include <math.h>    // matematicke funkcije

// POSTAVKE VREMENA
#define dt 0.001
#define Nt  20000
// ZADANE VRIJEDNOSTI ZA RACUNANJE DERIVACIJE
#define pi 3.1415926535897932
double A = 5.0;
double w = pi;
double fi = 0.0;

int main(void) {
	double t, v(double), x(double), y=5.0;
	FILE  *fout;

	t = 0.0;
	fout = fopen("HO_dt1E-3.txt", "w");
	fprintf(fout, "%10.4f %15.8e %15.8e\n", t, y, x(t));
	for(int i = 1; i <= Nt; i++) {
		y = y + v(t)*dt;
		t = i*dt;
		fprintf(fout, "%10.4f %15.8e %15.8e\n", t, y, x(t));
	}
	printf("%10.4f %15.8e %15.8e\n", t, y, x(t));
	fclose(fout);
	return 0;
}

//zadana derivacija
double v(double t){
	double vt;
	vt = -A*w*sin(w*t + fi);
	return vt;
}

//analiticko rjesenje
double x(double t) {
	double xt;
	xt = A*cos(w*t + fi);
	return xt;
}
